Package nl.tudelft.simulation.examples.dsol.animation3d

# Class Ball3D

java.lang.Object
nl.tudelft.simulation.examples.dsol.animation3d.Ball
nl.tudelft.simulation.examples.dsol.animation3d.Ball3D

All Implemented Interfaces:
  `Locatable`

    public class Ball3D
    extends Ball

An extension of Ball.

Copyright (c) 2003-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  peter

## Field Summary

### Fields inherited from class nl.tudelft.simulation.examples.dsol.animation3d.Ball

`RADIUS, theta`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Ball3D​(DESSSimulatorInterface.TimeDouble simulator)` | constructs a new Ball.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`DirectedPoint` | `getLocation()`
`void` | `next()` | next move.

### Methods inherited from class nl.tudelft.simulation.examples.dsol.animation3d.Ball

`getBounds, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Ball3D

public Ball3D​(DESSSimulatorInterface.TimeDouble simulator) throws RemoteException, NamingException
constructs a new Ball.

Parameters:
  `simulator` - DESSSimulatorInterface.TimeDouble; the simulator
Throws:
  `RemoteException` - on network exception
  `NamingException` - on error

## Method Details

### getLocation

public DirectedPoint getLocation() throws RemoteException

Throws:
  `RemoteException`

### next

public void next() throws RemoteException
next move.

Throws:
  `RemoteException` - on network failure